> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# 建立批次

> 從上傳的輸入檔案創建一個與OpenAI兼容的批次作業。

## 概述

此端點是TokenLab的與OpenAI兼容的批次API的一部分。批次作業使用上傳的JSONL檔案，異步運行，並可以在稍後返回輸出/錯誤檔案。

## 注意事項

* 批次輸入檔案必須使用 `purpose=batch`。
* `completion_window` 目前為 `24h`。
* 輸出順序不保證；始終通過 `custom_id` 進行匹配。
* 批次項目內不支持串流。
* 目前支援的批次項目端點是 `/v1/chat/completions` 和 `/v1/embeddings`；在原生 Responses 批次執行器可用之前，`/v1/responses` 批次作業會被拒絕。

## 範例

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.tokenlab.sh/v1/batches" \
    -H "Authorization: Bearer sk-your-api-key" \
    -H "Content-Type: application/json" \
    -d '{
      "input_file_id": "file_abc123",
      "endpoint": "/v1/chat/completions",
      "completion_window": "24h"
    }'
  ```
</RequestExample>

## 請求 / 回應

使用上方的互動式OpenAPI面板以獲取確切的架構。

## 操作提示

* 使用 `custom_id` 進行冪等的下游對帳。
* 只有在工作者完成批次後，才會期望 `output_file_id` 和 `error_file_id`。
* 批次定價可能與同步定價不同，因為適用 `isBatchRequest=true` 的折扣規則。

## 回應範例

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": "batch_abc123",
    "object": "batch",
    "endpoint": "/v1/chat/completions",
    "input_file_id": "file_abc123",
    "completion_window": "24h",
    "status": "validating",
    "output_file_id": null,
    "error_file_id": null,
    "created_at": 1706000000
  }
  ```
</ResponseExample>

## 重要欄位

<ResponseField name="id" type="string">用於後續呼叫和支援排障的識別符。</ResponseField>
<ResponseField name="status" type="string">該資源目前的生命週期狀態。</ResponseField>
<ResponseField name="output_file_id" type="string|null">供相關 API 使用的檔案識別符。</ResponseField>
